List Site-To-Site VPN Tunnels
Retrieve a paginated list of all site-to-site VPN tunnels on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`type`|`STRING`|`eq` `ne` `in` `notIn`| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| |`metadata.source`|`STRING`|`eq` `ne` `in` `notIn` `isNull` `isNotNull`| </details>
Retrieve a paginated list of all site-to-site VPN tunnels on a site.
| Name | Type | Allowed functions |
|---|---|---|
type | STRING | eq ne in notIn |
id | UUID | eq ne in notIn |
name | STRING | eq ne in notIn like |
metadata.origin | STRING | eq ne in notIn |
metadata.source | STRING | eq ne in notIn isNull isNotNull |
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/vpn/site-to-site-tunnels"{ "offset": 0, "limit": 25, "count": 10, "totalCount": 1000, "data": [ { "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "metadata": { "origin": "string" } } ]}List Radius Profiles GET
Returns available RADIUS authentication profiles, including configuration origin metadata. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>
List VPN Servers GET
Retrieve a paginated list of all VPN servers on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`type`|`STRING`|`eq` `ne` `in` `notIn`| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`enabled`|`BOOLEAN`|`eq` `ne`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>